<!--# If no page_id is given, then webnotes are not displayed at all. #-->
<if condition="'{{webnotes->page_id}}'!=''">
<webbox id="webnotes">
<div class="webnotes">

<if condition="'{{visible}}'=='false'">
<rsnavig rs="{{notes_rs}}"><!--# get the variable {{AllRecs}} #-->
<div class="shownotes">
  <a class="button" href="javascript:set_visible('true')">
    T_("{{AllRecs}} Notes/Comments")
  </a>
</div>
</rsnavig>
</if>

<if condition="'{{visible}}'=='true'">

<table class="header" cellspacing="0">
  <tr>
    <td>
      <strong>
        T_("Comments/Notes For the Page:")<span class="h_space"/>{{page_id}}
      </strong>
    </td>
    <td align="right">
      <if condition="{{admin}}">
        <a class="button" href="javascript:admin_notes('{{admin_page}}')">
      T_("Admin")
    </a>
        <span class="h_space" />
      </if>
      <a class="button" href="javascript:set_visible('false')">T_("Hide")</a>
      <span class="h_space" />
      <a class="button" href="javascript:add_note()">T_("Add a New Note")</a>
    </td>
  </tr>
</table>

<include src="{{./}}filter/filternotes.html" />

<include src="{{./}}edit/editnote.html" />

<repeat rs="{{notes_rs}}">

<ifempty>
  <div class="webnote">T_("There are no notes!")</div>
</ifempty>

<var name="note">({{CurrentRowNr}} % 2 ? "note-1" : "note-2")</var>

<a name="{{note_id}}"></a>

<table class="{{note}}" cellpadding="2" cellspacing="0">
  <tr class="note-title">
    <td>
      {{date_modified}} <span class="h_space"/> 
      <strong>{{email}}</strong>
    </td>

    <td align="right">
      <if condition="({{approve}} or {{admin}})">
    T_("Status"):
    <webobject class="listbox" name="note_{{note_id}}_status"
           rs="status_rs" value="{{status}}"
           onchange="set_note_status(this, '{{note_id}}')"/>      
        <span class="h_space" />
        <a class="button"
       href="javascript:edit_note({{note_id}})">
           T_("Edit")</a>
      </if>
      <if condition="{{admin}}">
        <span class="h_space" />
        <a class="button"
           href="javascript:delete_note('{{note_id}}')">
           T_("Delete")</a>
      </if>

      <span class="h_space"/>
      #{{note_id}} 
    </td>
  </tr>
  <tr class="note-text">
    <td colspan="2"><tt>{{note_text}}</tt></td>
  </tr>
</table>

</repeat>

<include src="{{./}}footer.html" />

</if><!--# (visible==true) #-->

</div>
</webbox>
</if><!--# (webnotes->page_id != '') #-->
